package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * 企迈门店助手
 *
 * @author nianchang
 * @ClassName AssistantIndexOrder
 * @date 2021/09/07 11:05 上午
 */
public class AssistantIndexOrder extends BaseIndexOrder {

    private static final long serialVersionUID = 8550739700589666417L;

    /**
     * 是否退款
     * 0：否
     * 1：是
     */
    private Integer refundCompleted;

    /**
     * 全局搜索
     */
    private String globalSearch;

    /**
     * 桌位名称
     */
    private String seatName;

    /**
     * 支付方式列表
     */
    private List<Integer> payTypeList;

    /**
     * 同步ERP异常标识
     * 0：未异常
     * 1：异常
     */
    private Integer syncErpError;

    /**
     * 搜索支付金额
     */
    private Integer searchActualAmount;

    /**
     * 商品类型
     */
    private List<Integer> itemTypeList;

    /**
     * 模糊搜索
     *
     */
    private List<String> likeSearch;

    /**
     * 商品ID列表
     */
    private List<String> itemIdList;

    /**
     * 订单子状态
     */
    private Integer subStatus;

    /**
     * 订单排队状态
     */
    private Integer lineUpStatus;

    /**
     * 进排队时间
     */
    private Date searchQueueTime;

    public Integer getLineUpStatus() {
        return lineUpStatus;
    }

    public void setLineUpStatus(Integer lineUpStatus) {
        this.lineUpStatus = lineUpStatus;
    }

    public Date getSearchQueueTime() {
        return searchQueueTime;
    }

    public void setSearchQueueTime(Date searchQueueTime) {
        this.searchQueueTime = searchQueueTime;
    }

    public Integer getSubStatus() {
        return subStatus;
    }

    public void setSubStatus(Integer subStatus) {
        this.subStatus = subStatus;
    }

    public List<Integer> getPayTypeList() {
        return payTypeList;
    }

    public void setPayTypeList(List<Integer> payTypeList) {
        this.payTypeList = payTypeList;
    }

    public List<Integer> getItemTypeList() {
        return itemTypeList;
    }

    public void setItemTypeList(List<Integer> itemTypeList) {
        this.itemTypeList = itemTypeList;
    }

    public List<String> getLikeSearch() {
        return likeSearch;
    }

    public void setLikeSearch(List<String> likeSearch) {
        this.likeSearch = likeSearch;
    }

    public List<String> getItemIdList() {
        return itemIdList;
    }

    public void setItemIdList(List<String> itemIdList) {
        this.itemIdList = itemIdList;
    }

    public Integer getSyncErpError() {
        return syncErpError;
    }

    public void setSyncErpError(Integer syncErpError) {
        this.syncErpError = syncErpError;
    }

    public String getSeatName() {
        return seatName;
    }

    public void setSeatName(String seatName) {
        this.seatName = seatName;
    }

    public String getGlobalSearch() {
        return globalSearch;
    }

    public void setGlobalSearch(String globalSearch) {
        this.globalSearch = globalSearch;
    }

    public Integer getRefundCompleted() {
        return refundCompleted;
    }

    public void setRefundCompleted(Integer refundCompleted) {
        this.refundCompleted = refundCompleted;
    }

    public Integer getSearchActualAmount() {
        return searchActualAmount;
    }

    public void setSearchActualAmount(Integer searchActualAmount) {
        this.searchActualAmount = searchActualAmount;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
